com.massivecraft.factions.zcore.fperms

## Enum Access

- java.lang.Object
- - java.lang.Enum<Access>
  - - com.massivecraft.factions.zcore.fperms.Access

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Access>

      public enum Access
      extends java.lang.Enum<Access>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW`
    `DENY`
    `UNDEFINED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Access` | `fromString(java.lang.String check)` Case insensitive check for access.
    `org.bukkit.ChatColor` | `getColor()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `toString()`
    `static Access` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Access[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW

          public static final Access ALLOW

    - #### DENY

          public static final Access DENY

    - #### UNDEFINED

          public static final Access UNDEFINED

  - ### Method Detail

    - #### values

          public static Access[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Access c : Access.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Access valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromString

          public static Access fromString(java.lang.String check)

      Case insensitive check for access.
      Parameters:
        `check` -
      Returns:

    - #### getName

          public java.lang.String getName()

    - #### getColor

          public org.bukkit.ChatColor getColor()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Access>`